<template>
  <div class="fail page">
      <div class="page-wrapper">
        <img :src="this.$logoimg" width="110"/>
        <div class="space-lg"/>
        <h1>未能辨认二维码，请重新扫描。</h1>
        <div class="space-lg"/>
        <router-link class="btn-brand" to="welcome">确认</router-link>
      </div>
  </div>
</template>

<script>
export default {
  name: 'Fail',
  data () {
    return {
      timeoutfn: function(){}
    }
  },
  beforeDestroy: function(){
    clearTimeout(this.timeoutfn)
  },
  methods:{
    redirection: function(){
      var vm = this;
      vm.timeoutfn = setTimeout(function(){
        vm.$router.push({ path: '/' })
      },5000)
    },
  },
  mounted: function(){
    this.redirection();
  }
}
</script>

<style scoped></style>
